package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.DataSourceManage;
import cn.fateverse.query.entity.query.DataSourceManageQuery;

import java.util.List;

/**
 * 数据源管理 Mapper
 *
 * @author clay
 * @date 2023-07-16
 */
public interface DataSourceManageMapper {


    /**
     * 查询数据源管理
     *
     * @param id 数据源管理Id
     * @return 数据源管理
     */
    DataSourceManage selectById(Long id);

    /**
     * 查询数据源管理列表
     *
     * @param query 数据源管理查询
     * @return 数据源管理集合
     */
    List<DataSourceManage> selectList(DataSourceManageQuery query);

    /**
     * 新增数据源管理
     *
     * @param dataSourceManage 数据源管理
     * @return 结果
     */
    int insert(DataSourceManage dataSourceManage);

    /**
     * 修改数据源管理
     *
     * @param dataSourceManage 数据源管理
     * @return 结果
     */
    int update(DataSourceManage dataSourceManage);

    /**
     * 删除数据源管理
     *
     * @param id 需要删除的数据源管理Id
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除数据源管理
     *
     * @param idList 需要删除的数据源管理Id 集合
     * @return 结果
     */
    int deleteBatchByIdList(List<Long> idList);

}